import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { BusBlackLot } from '../models/index' 
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface BusBlackLotCU extends ConditionUtil<BusBlackLotCU>{
    LOT_ID:FieldUtil<BusBlackLotCU>;
    CODE:FieldUtil<BusBlackLotCU>;
    REMARK:FieldUtil<BusBlackLotCU>;
    CREATE_TIME:FieldUtil<BusBlackLotCU>;
    UPDATE_TIME:FieldUtil<BusBlackLotCU>;
}

class BusBlackLotCUImpl extends ConditionUtilImpl<BusBlackLotCUImpl> implements BusBlackLotCU{ 
    newInstance(): BusBlackLotCUImpl {
        return new BusBlackLotCUImpl();
    } 
    get LOT_ID(): FieldUtil<BusBlackLotCU>{  
        return new FieldUtil('LOT_ID','lotId','车场ID', this);
    }
    get CODE(): FieldUtil<BusBlackLotCU>{  
        return new FieldUtil('CODE','code','01:广告投放 02: 无感按钮 03：我已离场', this);
    }
    get REMARK(): FieldUtil<BusBlackLotCU>{  
        return new FieldUtil('REMARK','remark','备注', this);
    }
    get CREATE_TIME(): FieldUtil<BusBlackLotCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<BusBlackLotCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
}

@Singleton 
class BusBlackLotMU extends TableUtilImpl<BusBlackLotCU,BusBlackLot>{ 
    tableName  = 'bus_black_lot';
    tableFields  = ['LOT_ID','CODE','REMARK','CREATE_TIME','UPDATE_TIME'];
    modelFields  = ['lotId','code','remark','createTime','updateTime'];
    modelIdFields  = ['lotId','code'];
    tableIdFields  = ['LOT_ID','CODE'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): BusBlackLotCU {
        return new BusBlackLotCUImpl();
    }   

    static get LOT_ID(): FieldUtil<BusBlackLotCU>{ 
        return new FieldUtil('LOT_ID','lotId','车场ID', new BusBlackLotCUImpl());
    }
    static get CODE(): FieldUtil<BusBlackLotCU>{ 
        return new FieldUtil('CODE','code','01:广告投放 02: 无感按钮 03：我已离场', new BusBlackLotCUImpl());
    }
    static get REMARK(): FieldUtil<BusBlackLotCU>{ 
        return new FieldUtil('REMARK','remark','备注', new BusBlackLotCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<BusBlackLotCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new BusBlackLotCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<BusBlackLotCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new BusBlackLotCUImpl());
    }

    get LOT_ID(): FieldUtil<BusBlackLotCU>{ 
        return BusBlackLotMU.LOT_ID;
    }
    get CODE(): FieldUtil<BusBlackLotCU>{ 
        return BusBlackLotMU.CODE;
    }
    get REMARK(): FieldUtil<BusBlackLotCU>{ 
        return BusBlackLotMU.REMARK;
    }
    get CREATE_TIME(): FieldUtil<BusBlackLotCU>{ 
        return BusBlackLotMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<BusBlackLotCU>{ 
        return BusBlackLotMU.UPDATE_TIME;
    }
}
export {BusBlackLotMU, BusBlackLotCU}
